the cluster version

git-svn-id: https://hyracks.googlecode.com/svn/branches/fullstack_genomix@2957 123451ca-8445-de46-9d55-352943316053
diff --git a/genomix/genomix-hadoop/target/appassembler/bin/maxclique b/genomix/genomix-hadoop/target/appassembler/bin/maxclique
new file mode 100644
index 0000000..5eab8d0
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/bin/maxclique
@@ -0,0 +1,113 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+#  Copyright 2001-2006 The Apache Software Foundation.
+#
+#  Licensed under the Apache License, Version 2.0 (the "License");
+#  you may not use this file except in compliance with the License.
+#  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing, software
+#  distributed under the License is distributed on an "AS IS" BASIS,
+#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#  See the License for the specific language governing permissions and
+#  limitations under the License.
+# ----------------------------------------------------------------------------
+#
+#   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights
+#   reserved.
+
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ]; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
+done
+
+PRGDIR=`dirname "$PRG"`
+BASEDIR=`cd "$PRGDIR/.." >/dev/null; pwd`
+
+
+
+# OS specific support.  $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+case "`uname`" in
+  CYGWIN*) cygwin=true ;;
+  Darwin*) darwin=true
+           if [ -z "$JAVA_VERSION" ] ; then
+             JAVA_VERSION="CurrentJDK"
+           else
+             echo "Using Java version: $JAVA_VERSION"
+           fi
+           if [ -z "$JAVA_HOME" ] ; then
+             JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/${JAVA_VERSION}/Home
+           fi
+           ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+  if [ -r /etc/gentoo-release ] ; then
+    JAVA_HOME=`java-config --jre-home`
+  fi
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# If a specific java binary isn't specified search for the standard 'java' binary
+if [ -z "$JAVACMD" ] ; then
+  if [ -n "$JAVA_HOME"  ] ; then
+    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+      # IBM's JDK on AIX uses strange locations for the executables
+      JAVACMD="$JAVA_HOME/jre/sh/java"
+    else
+      JAVACMD="$JAVA_HOME/bin/java"
+    fi
+  else
+    JAVACMD=`which java`
+  fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+  echo "Error: JAVA_HOME is not defined correctly." 1>&2
+  echo "  We cannot execute $JAVACMD" 1>&2
+  exit 1
+fi
+
+if [ -z "$REPO" ]
+then
+  REPO="$BASEDIR"/lib
+fi
+
+CLASSPATH=$CLASSPATH_PREFIX:"$BASEDIR"/etc:"$REPO"/hadoop-core-0.20.2.jar:"$REPO"/commons-cli-1.2.jar:"$REPO"/xmlenc-0.52.jar:"$REPO"/commons-httpclient-3.0.1.jar:"$REPO"/commons-codec-1.3.jar:"$REPO"/commons-net-1.4.1.jar:"$REPO"/jetty-6.1.14.jar:"$REPO"/jetty-util-6.1.14.jar:"$REPO"/jasper-runtime-5.5.12.jar:"$REPO"/jasper-compiler-5.5.12.jar:"$REPO"/jsp-api-2.1-6.1.14.jar:"$REPO"/jsp-2.1-6.1.14.jar:"$REPO"/ant-1.6.5.jar:"$REPO"/commons-el-1.0.jar:"$REPO"/jets3t-0.7.1.jar:"$REPO"/servlet-api-2.5-6.1.14.jar:"$REPO"/kfs-0.3.jar:"$REPO"/hsqldb-1.8.0.10.jar:"$REPO"/oro-2.0.8.jar:"$REPO"/core-3.1.1.jar:"$REPO"/slf4j-jcl-1.6.3.jar:"$REPO"/commons-logging-1.1.1.jar:"$REPO"/slf4j-api-1.6.3.jar:"$REPO"/args4j-2.0.16.jar:"$REPO"/genomix-hadoop-0.2.3-SNAPSHOT.jar
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+  [ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+  [ -n "$JAVA_HOME" ] && JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+  [ -n "$HOME" ] && HOME=`cygpath --path --windows "$HOME"`
+  [ -n "$BASEDIR" ] && BASEDIR=`cygpath --path --windows "$BASEDIR"`
+  [ -n "$REPO" ] && REPO=`cygpath --path --windows "$REPO"`
+fi
+
+exec "$JAVACMD" $JAVA_OPTS  \
+  -classpath "$CLASSPATH" \
+  -Dapp.name="maxclique" \
+  -Dapp.pid="$$" \
+  -Dapp.repo="$REPO" \
+  -Dapp.home="$BASEDIR" \
+  -Dbasedir="$BASEDIR" \
+  edu.uci.ics.maxclique.Driver \
+  "$@"
diff --git a/genomix/genomix-hadoop/target/appassembler/bin/maxclique.bat b/genomix/genomix-hadoop/target/appassembler/bin/maxclique.bat
new file mode 100644
index 0000000..6a043d0
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/bin/maxclique.bat
@@ -0,0 +1,108 @@
+@REM ----------------------------------------------------------------------------

+@REM  Copyright 2001-2006 The Apache Software Foundation.

+@REM

+@REM  Licensed under the Apache License, Version 2.0 (the "License");

+@REM  you may not use this file except in compliance with the License.

+@REM  You may obtain a copy of the License at

+@REM

+@REM       http://www.apache.org/licenses/LICENSE-2.0

+@REM

+@REM  Unless required by applicable law or agreed to in writing, software

+@REM  distributed under the License is distributed on an "AS IS" BASIS,

+@REM  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

+@REM  See the License for the specific language governing permissions and

+@REM  limitations under the License.

+@REM ----------------------------------------------------------------------------

+@REM

+@REM   Copyright (c) 2001-2006 The Apache Software Foundation.  All rights

+@REM   reserved.

+

+@echo off

+

+set ERROR_CODE=0

+

+:init

+@REM Decide how to startup depending on the version of windows

+

+@REM -- Win98ME

+if NOT "%OS%"=="Windows_NT" goto Win9xArg

+

+@REM set local scope for the variables with windows NT shell

+if "%OS%"=="Windows_NT" @setlocal

+

+@REM -- 4NT shell

+if "%eval[2+2]" == "4" goto 4NTArgs

+

+@REM -- Regular WinNT shell

+set CMD_LINE_ARGS=%*

+goto WinNTGetScriptDir

+

+@REM The 4NT Shell from jp software

+:4NTArgs

+set CMD_LINE_ARGS=%$

+goto WinNTGetScriptDir

+

+:Win9xArg

+@REM Slurp the command line arguments.  This loop allows for an unlimited number

+@REM of arguments (up to the command line limit, anyway).

+set CMD_LINE_ARGS=

+:Win9xApp

+if %1a==a goto Win9xGetScriptDir

+set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1

+shift

+goto Win9xApp

+

+:Win9xGetScriptDir

+set SAVEDIR=%CD%

+%0\

+cd %0\..\.. 

+set BASEDIR=%CD%

+cd %SAVEDIR%

+set SAVE_DIR=

+goto repoSetup

+

+:WinNTGetScriptDir

+set BASEDIR=%~dp0\..

+

+:repoSetup

+

+

+if "%JAVACMD%"=="" set JAVACMD=java

+

+if "%REPO%"=="" set REPO=%BASEDIR%\lib

+

+set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\hadoop-core-0.20.2.jar;"%REPO%"\commons-cli-1.2.jar;"%REPO%"\xmlenc-0.52.jar;"%REPO%"\commons-httpclient-3.0.1.jar;"%REPO%"\commons-codec-1.3.jar;"%REPO%"\commons-net-1.4.1.jar;"%REPO%"\jetty-6.1.14.jar;"%REPO%"\jetty-util-6.1.14.jar;"%REPO%"\jasper-runtime-5.5.12.jar;"%REPO%"\jasper-compiler-5.5.12.jar;"%REPO%"\jsp-api-2.1-6.1.14.jar;"%REPO%"\jsp-2.1-6.1.14.jar;"%REPO%"\ant-1.6.5.jar;"%REPO%"\commons-el-1.0.jar;"%REPO%"\jets3t-0.7.1.jar;"%REPO%"\servlet-api-2.5-6.1.14.jar;"%REPO%"\kfs-0.3.jar;"%REPO%"\hsqldb-1.8.0.10.jar;"%REPO%"\oro-2.0.8.jar;"%REPO%"\core-3.1.1.jar;"%REPO%"\slf4j-jcl-1.6.3.jar;"%REPO%"\commons-logging-1.1.1.jar;"%REPO%"\slf4j-api-1.6.3.jar;"%REPO%"\args4j-2.0.16.jar;"%REPO%"\genomix-hadoop-0.2.3-SNAPSHOT.jar

+goto endInit

+

+@REM Reaching here means variables are defined and arguments have been captured

+:endInit

+

+%JAVACMD% %JAVA_OPTS%  -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="maxclique" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" edu.uci.ics.maxclique.Driver %CMD_LINE_ARGS%

+if ERRORLEVEL 1 goto error

+goto end

+

+:error

+if "%OS%"=="Windows_NT" @endlocal

+set ERROR_CODE=%ERRORLEVEL%

+

+:end

+@REM set local scope for the variables with windows NT shell

+if "%OS%"=="Windows_NT" goto endNT

+

+@REM For old DOS remove the set variables from ENV - we assume they were not set

+@REM before we started - at least we don't leave any baggage around

+set CMD_LINE_ARGS=

+goto postExec

+

+:endNT

+@REM If error code is set to 1 then the endlocal was done already in :error.

+if %ERROR_CODE% EQU 0 @endlocal

+

+

+:postExec

+

+if "%FORCE_EXIT_ON_ERROR%" == "on" (

+  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%

+)

+

+exit /B %ERROR_CODE%

diff --git a/genomix/genomix-hadoop/target/appassembler/lib/ant-1.6.5.jar b/genomix/genomix-hadoop/target/appassembler/lib/ant-1.6.5.jar
new file mode 100644
index 0000000..3beb3b8
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/ant-1.6.5.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/args4j-2.0.16.jar b/genomix/genomix-hadoop/target/appassembler/lib/args4j-2.0.16.jar
new file mode 100644
index 0000000..cfb6a29
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/args4j-2.0.16.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-cli-1.2.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-cli-1.2.jar
new file mode 100644
index 0000000..ce4b9ff
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-cli-1.2.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-codec-1.3.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-codec-1.3.jar
new file mode 100644
index 0000000..957b675
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-codec-1.3.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-el-1.0.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-el-1.0.jar
new file mode 100644
index 0000000..608ed79
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-el-1.0.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-httpclient-3.0.1.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-httpclient-3.0.1.jar
new file mode 100644
index 0000000..cfc777c
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-httpclient-3.0.1.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-logging-1.1.1.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-logging-1.1.1.jar
new file mode 100644
index 0000000..1deef14
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-logging-1.1.1.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/commons-net-1.4.1.jar b/genomix/genomix-hadoop/target/appassembler/lib/commons-net-1.4.1.jar
new file mode 100644
index 0000000..9666a92
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/commons-net-1.4.1.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/core-3.1.1.jar b/genomix/genomix-hadoop/target/appassembler/lib/core-3.1.1.jar
new file mode 100644
index 0000000..ae0b635
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/core-3.1.1.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/genomix-hadoop-0.2.3-SNAPSHOT.jar b/genomix/genomix-hadoop/target/appassembler/lib/genomix-hadoop-0.2.3-SNAPSHOT.jar
new file mode 100644
index 0000000..9188416
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/genomix-hadoop-0.2.3-SNAPSHOT.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/hadoop-core-0.20.2.jar b/genomix/genomix-hadoop/target/appassembler/lib/hadoop-core-0.20.2.jar
new file mode 100644
index 0000000..0568eaf
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/hadoop-core-0.20.2.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/hsqldb-1.8.0.10.jar b/genomix/genomix-hadoop/target/appassembler/lib/hsqldb-1.8.0.10.jar
new file mode 100644
index 0000000..e010269
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/hsqldb-1.8.0.10.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jasper-compiler-5.5.12.jar b/genomix/genomix-hadoop/target/appassembler/lib/jasper-compiler-5.5.12.jar
new file mode 100644
index 0000000..2a410b4
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jasper-compiler-5.5.12.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jasper-runtime-5.5.12.jar b/genomix/genomix-hadoop/target/appassembler/lib/jasper-runtime-5.5.12.jar
new file mode 100644
index 0000000..743d906
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jasper-runtime-5.5.12.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jets3t-0.7.1.jar b/genomix/genomix-hadoop/target/appassembler/lib/jets3t-0.7.1.jar
new file mode 100644
index 0000000..d87e4d1
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jets3t-0.7.1.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jetty-6.1.14.jar b/genomix/genomix-hadoop/target/appassembler/lib/jetty-6.1.14.jar
new file mode 100644
index 0000000..8c503be
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jetty-6.1.14.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jetty-util-6.1.14.jar b/genomix/genomix-hadoop/target/appassembler/lib/jetty-util-6.1.14.jar
new file mode 100644
index 0000000..8f924bb
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jetty-util-6.1.14.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jsp-2.1-6.1.14.jar b/genomix/genomix-hadoop/target/appassembler/lib/jsp-2.1-6.1.14.jar
new file mode 100644
index 0000000..debfe56
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jsp-2.1-6.1.14.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/jsp-api-2.1-6.1.14.jar b/genomix/genomix-hadoop/target/appassembler/lib/jsp-api-2.1-6.1.14.jar
new file mode 100644
index 0000000..1be50ab
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/jsp-api-2.1-6.1.14.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/kfs-0.3.jar b/genomix/genomix-hadoop/target/appassembler/lib/kfs-0.3.jar
new file mode 100644
index 0000000..e517c09
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/kfs-0.3.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/oro-2.0.8.jar b/genomix/genomix-hadoop/target/appassembler/lib/oro-2.0.8.jar
new file mode 100644
index 0000000..23488d2
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/oro-2.0.8.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/servlet-api-2.5-6.1.14.jar b/genomix/genomix-hadoop/target/appassembler/lib/servlet-api-2.5-6.1.14.jar
new file mode 100644
index 0000000..6d7404f
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/servlet-api-2.5-6.1.14.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/slf4j-api-1.6.3.jar b/genomix/genomix-hadoop/target/appassembler/lib/slf4j-api-1.6.3.jar
new file mode 100644
index 0000000..08a6c80
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/slf4j-api-1.6.3.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/slf4j-jcl-1.6.3.jar b/genomix/genomix-hadoop/target/appassembler/lib/slf4j-jcl-1.6.3.jar
new file mode 100644
index 0000000..c70e2ce
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/slf4j-jcl-1.6.3.jar
Binary files differ
diff --git a/genomix/genomix-hadoop/target/appassembler/lib/xmlenc-0.52.jar b/genomix/genomix-hadoop/target/appassembler/lib/xmlenc-0.52.jar
new file mode 100644
index 0000000..ec568b4
--- /dev/null
+++ b/genomix/genomix-hadoop/target/appassembler/lib/xmlenc-0.52.jar
Binary files differ